org.apache.ignite.internal.util.typedef

## Class CIX1<T>

- java.lang.Object
- - org.apache.ignite.internal.util.lang.IgniteInClosureX<T>
  - - org.apache.ignite.internal.util.typedef.CIX1<T>

Type Parameters:
  `T` - Type of the factory closure.

All Implemented Interfaces:
  Serializable, IgniteInClosure<T>

    public abstract class CIX1<T>
    extends IgniteInClosureX<T>

Defines `alias` for `IgniteInClosureX` by extending it. Since Java doesn't provide type aliases (like Scala, for example) we resort to these types of measures. This is intended to provide for more concise code in cases when readability won't be sacrificed. For more information see `IgniteInClosureX`.

See Also:
  `GridFunc`, `IgniteInClosureX`, Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`CIX1()`

### Method Summary

### Methods inherited from class org.apache.ignite.internal.util.lang.IgniteInClosureX

`apply, applyx`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CIX1

    public CIX1()

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.6.0
Release Date | : May 18 2016